void container_wnd_proc (pstruct -w reply, p_program_state -&w state, p_msg msg)
{
  select (msg->message)
  {
    case WM_DRAG_OVER:                                                         /* "send" */
      ...
    return;

    case WM_DRAG_LEAVE:                                                        /* "post" */
      ...
    return;

    case WM_DROP:                                                              /* "post" */
      ...
    return;
  }
  else
  {
    ;
  }
}